﻿/* Move down content because we have a fixed navbar that is 50px tall */
body {
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    margin:0;
    font-size: 8pt;
    min-width: 1100px;
}

header, footer {
    background-color: #741E43;
    color: #FFFFFF;
    width: 100%;
    height: 42px;
    padding-top: 2px;
    font-size: 10pt;
    font-weight: bold;
}

footer {
    position: static;
    bottom: 0;
    margin-top: 25px;
}

.Centred, Left, Right {
    padding: 10px;
    letter-spacing: 3px;
}

.Centred {
    text-align: center;
}

.Left {
    text-align: left;
}

.Right {
    text-align: right;
}

.FillWidth {
    width: 100%;
}

.Width20 {
    width: 22%;
    overflow: auto;
}

.Text50 {
    width: 50px;
    border-radius: 3px;
}

.Text100 {
    width: 100px;
    border-radius: 3px;
}

.Text150 {
    width: 150px;
    border-radius: 3px;
}

.Text200 {
    width: 200px;
    border-radius: 3px;
}

.Text250 {
    width: 250px;
    border-radius: 3px;
}

.Text300 {
    width: 300px;
    border-radius: 3px;
}

.Text350 {
    width: 350px;
    border-radius: 3px;
}

.Text400 {
    width: 400px;
    border-radius: 3px;
}

.Text450 {
    width: 450px;
    border-radius: 3px;
}

.MultiLine {
    height: 200px;
}

.Hidden {
    display: none;
}

/* Dropdown Button */
.dropbtn {
    margin: 9px 15px 8px 15px;
    cursor: pointer;
    font-size: 12pt;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
    display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 190px;
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    z-index: 1;
}

    /* Links inside the dropdown */
    .dropdown-content a {
        color: black;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
    }

        /* Change color of dropdown links on hover */
        .dropdown-content a:hover {
            background-color: #ddd;
        }

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
    display: block;
}

.Login {
    background-color: white;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    height: 200px;
    padding-top: 50px;
    color: #741E43;
    border: 1px solid;
    box-shadow: 5px 10px 8px #888888;
}
    .Login h1 {
        width: 100%;
        padding: 6px;
        margin: 0;
        position: fixed;
        top: 0;
        text-align: center;
        background-color: #741E43;
        font-size: 12pt;
        color: white;
    }

.TextBoxSmall {
    color: #741E43;
}

.RedText {
    color: red;
}

.upper {
    text-transform: uppercase;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set widths on the form inputs since otherwise they're 100% wide */
input,
select,
textarea {
    max-width: 280px;
}

/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
    .jumbotron {
        margin-top: 20px;
    }
    .body-content {
        padding: 0;
    }
}

.grid {
    border-collapse: collapse;
    text-align: center;
}

    .grid td {
        padding: 5px;
        border-bottom: 1px solid #c1c1c1;
        color: #444444;
        font-size: 1em;
        vertical-align:top;
    }

    .grid th {
        padding: 4px 10px;
        color: #000;
        text-shadow: 1px 1px 0 #ffffff;
        background: -moz-linear-gradient(top, #1e5799 0%, #e5e5e9 100%); /* FF3.6+ */
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#e5e5e9), color-stop(100%,#fbfbfb)); /* Chrome,Safari4+ */
        background: -webkit-linear-gradient(top, #e5e5e9 0%,#fbfbfb 100%); /* Chrome10+,Safari5.1+ */
        background: -o-linear-gradient(top, #e5e5e9 0%,#fbfbfb 100%); /* Opera 11.10+ */
        background: linear-gradient(top, #e5e5e9 0%,#fbfbfb 100%); /* IE10+ */
        font-size: 1em;
        text-align: center;
    }

        .grid th a {
            color: white;
            text-decoration: none;
        }

            .grid th a:hover {
                color: #444444;
                text-decoration: none;
            }

.dropdownlist {
    margin-top: 1px;
}

select {
    padding: 5px;
    border: 1px solid #cdcdcd;
    border-radius: 6px;
}

input[type=text], input[type=password] {
    padding: 5px;
    border: 1px solid #cdcdcd;
    border-radius: 6px;
    outline: none;
}

.Button:link, .Button:active, .Button:hover, .Button:visited, .Button {
    margin: 10px;
    padding: 7px 15px;
    background-color: #741E43;
    border-radius: 4px;
    color: white;
    text-decoration: none;
}

.ButtonCompact:link, .ButtonCompact:active, .ButtonCompact:hover, .ButtonCompact:visited, .ButtonCompact {
    font-size: 11px;
}

.DiaryAdminGrid td,
.DiaryAdminGrid th {
    padding: 5px 10px !important;
}

.DiaryAdminGrid .ButtonCompact,
.DiaryAdminGrid input.ButtonCompact,
.DiaryAdminGrid input[type=submit].ButtonCompact,
.DiaryAdminGrid input[type=button].ButtonCompact,
.DiaryAdminGrid a.ButtonCompact,
.DiaryAdminGrid button.ButtonCompact {
    margin: 5px !important;
    padding: 5px 10px !important;
    min-height: 0;
    line-height: normal;
    font-size: 11px !important;
}

.DiaryFormLabel {
    font-weight: bold;
    color: #741E43;
}

a .aspNetDisabled, a .aspNetDisabled:hover {
    margin: 10px;
    padding: 7px 15px;
    cursor: default;
    background-color: #bababa;
    border-radius: 4px;
    color: white;
    text-decoration: none;
}

.tab {
    border: 1px solid #aaaaaa;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    margin-top: 25px;
    padding: 10px;
    margin-left: 0;
    margin-right: 0;
    color: #741E43;
    background-color: #dddddd;
}

    .tab a {
        text-decoration: none;
    }

.selected {
    background-color: #ffffff;
    border-bottom: 1px solid white;
    font-weight: bold;
}

.selected a {
    text-decoration: none;
}

.PanelContainer {
    border: 1px solid #aaaaaa;
    border-radius: 5px;
    z-index: -1;
    margin-top: 9px;
    margin-left: 40px;
    height: 100%;
    width: 95%;
    padding: 20px;
}

.SpacedTable td {
    padding: 4px;
}

.body-content {
    width:98%;
}

input[type=radio] {
    margin: 8px;
}

.FloatingDivs {
    position: fixed;
    top:40%;
    width: 500px;
    background-color: #EEEEEE;
    display:none; 
    border: 2px solid #c0c0c0;
    border-radius: 5px;
    margin: 0 auto;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 10px;
}

.ImageLogo {
    margin: 20px;
    padding: 3px;
    border: 1px solid;
    background-color: white;
    max-width: 400px;
    max-height: 400px;
}

.popup {
    width: 500px;
    margin: 0 30%;
    position: fixed;
    top: 150px;
    display: none;
    background-color: white;
    border: 1px solid black;
}

.popupHeader {
    height: 25px;
    color: white;
    margin: 0;
    padding: 5px;
    background-color: #741E43;
    padding: 4px 10px 4px 10px;
    font-weight: bold;
}

.popupContainer {
    padding: 10px;
}

.TabSticker {
    width: 25px;
    height: 15px;
    color: black;
    background-color: yellow;
    border-radius: 15px;
    position: relative;
    text-align: center;
    top: -15px;
    left: 26px;
    padding-top: 2px;
}

.TabSticker2 {
    width: 35px;
    height: 15px;
    color: black;
    background-color: yellow;
    border-radius: 15px;
    position: relative;
    text-align: center;
    top: -15px;
    left: 26px;
    padding-top: 2px;
}
